org.apache.cayenne.access

## Class DomainStoppedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.CayenneRuntimeException
        - - org.apache.cayenne.access.DomainStoppedException

- All Implemented Interfaces:
    Serializable

      public class DomainStoppedException
      extends CayenneRuntimeException

  An exception thrown on attempts to access a DataDomain after it was explicitly shut down by the user.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainStoppedException()`
    `DomainStoppedException(String messageFormat, Object... messageArgs)`
    `DomainStoppedException(String messageFormat, Throwable cause, Object... messageArgs)`
    `DomainStoppedException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cayenne.CayenneRuntimeException

      `getExceptionLabel, getMessage, getUnlabeledMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainStoppedException

          public DomainStoppedException()

    - #### DomainStoppedException

          public DomainStoppedException(String messageFormat,
                                        Object... messageArgs)

    - #### DomainStoppedException

          public DomainStoppedException(String messageFormat,
                                        Throwable cause,
                                        Object... messageArgs)

    - #### DomainStoppedException

          public DomainStoppedException(Throwable cause)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.